gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType System.Obsolete Class intended for use with . FIXME: see bugzilla.ximian.com #70887, which directly concerns this API.
- Field
  2.12.0.0
  System.String The accelerator key for this item. For example, "<control>O".
- Property
  2.12.0.0
  Gtk.ItemFactoryCallback To be added. To be added. To be added.
- Field
  2.12.0.0
  System.UInt32 A callback function to run when this item is activated. NOTE: The API doesn't support the actual code here.
- Field
  2.12.0.0
  System.String Type of item to add. Possible values: "<Title>" creates a title item, "<Item>" creates a simple item, "<ImageItem>" creates an item holding an image, "<StockItem>" creates an item holding a stock image, "<CheckItem>" creates a check item, "<ToggleItem>" creates a toggle item, "<RadioItem>" creates a radio item, <path> for the path of a radio item to link against, "<Separator>" creates a separator, "<Tearoff>" creates a tearoff separator, "<Branch>" creates an item to hold sub items, "<LastBranch>" creates a right justified item to hold sub items.
- Method
  2.12.0.0
  Gtk.ItemFactoryEntry `` a , pointer to the underlying C data. For internal use only. Do not use. a
- Field
  2.12.0.0
  System.String The path of the item. For example, "/File/_Open", where the "O" should be a mnemonic underline.
- Field
  2.12.0.0
  Gtk.ItemFactoryEntry Empty entry.